services:
  web:
    build:
      context: .
      dockerfile: Dockerfile.dev
    ports:
      - "3001:3001"
    volumes:
      - .:/usr/src/app # Mount the current directory into the container for live reloading
      - /usr/src/app/node_modules # Isolate node_modules to prevent host-container conflicts